<?php

namespace TelegramApi\Types;

class ReplyKeyboardHide implements TypeInterface
{
	/** @var Type Description */
	public Type $field;

	/** @var bool Requests clients to hide the custom keyboard */
	public bool $hideKeyboard = true;

	/** @var bool|null Optional. Use this parameter if you want to hide keyboard for specific users only. Targets: 1) users that are @mentioned in the text of the Message object; 2) if the bot's message is a reply (has reply_to_message_id), sender of the original message.Example: A user votes in a poll, bot returns confirmation message in reply to the vote and hides keyboard for that user, while still showing the keyboard with poll options to users who haven't voted yet. */
	public ?bool $selective = null;
}
