<?php

namespace TelegramApi\Types;

class Update implements TypeInterface
{
	/** @var Type Description */
	public Type $field;

	/** @var int The update‘s unique identifier. Update identifiers start from a certain positive number and increase sequentially. This ID becomes especially handy if you’re using Webhooks, since it allows you to ignore repeated updates or to restore the correct update sequence, should they get out of order. */
	public int $updateId;

	/** @var Message|null Optional. New incoming message of any kind — text, photo, sticker, etc. */
	public ?Message $message = null;
}
